Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.FormFileInfo Class Reference
Inheritance diagram for com.foxit.sdk.addon.FormFileInfo:

## Public Member Functions
| FormFileInfo (String file_path, String password) throws com.foxit.sdk.PDFException
| Constructor, with parameters. More...
| FormFileInfo (FileReaderCallback reader_callback, String password, String file_name) throws com.foxit.sdk.PDFException
| Constructor, with parameters. More...
| FormFileInfo (FormFileInfo other)
| Constructor, with another information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

This class represents form file information. Form file can be PDF, FDF, XML or XFDF format.

## Constructor & Destructor Documentation

## ◆ FormFileInfo() [1/3]

com.foxit.sdk.addon.FormFileInfo.FormFileInfo | ( | String | file_path,
|  | String | password
| ) |  | throws com.foxit.sdk.PDFException

Constructor, with parameters.

This constructor will check the validition of input file.

Parameters

  [in] | file_path | File path of a form file. This should be a PDF, FDF, XML or XFDF file.
  [in] | password | The password of input file specified by parameter file_path. This is only useful when input file is a PDF file. If input file is not a PDF file or input PDF file does not have any password, please pass an empty string.

## ◆ FormFileInfo() [2/3]

com.foxit.sdk.addon.FormFileInfo.FormFileInfo | ( | FileReaderCallback | reader_callback,
|  | String | password,
|  | String | file_name
| ) |  | throws com.foxit.sdk.PDFException

Constructor, with parameters.

This constructor will check the validition of input file.

Parameters

  [in] | reader_callback | The reader file callback of a file, which is to be combined with other files. And it only supports PDF, FDF, XML and XFDF files.
  [in] | password | The password of input file specified by parameter reader_callback. This is only useful when input file is a PDF file. If input file is not a PDF file or input PDF file does not have any password, please pass an empty string.
  [in] | file_name | File name of input file which is specified by parameter reader_callback. This name will be written into target file when current information object is used in combination. This can be an empty string.

## ◆ FormFileInfo() [3/3]

com.foxit.sdk.addon.FormFileInfo.FormFileInfo | ( | FormFileInfo | other | ) |

Constructor, with another information object.

Parameters

  [in] | other | Another information object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.FormFileInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.FormFileInfo.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.